Payment Term

Get

HTTP Request

GET /api/v1/payment-terms/{id}

Parameters

Name

In

Type

Required

Description

id

path

integer(int64)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponsePaymentTermDto

Update

HTTP Request

PUT /api/v1/payment-terms/{id}

Parameters

Name

In

Type

Required

Description

id

path

integer(int64)

true

none

body

body

PaymentTermDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponsePaymentTermDto

Delete

HTTP Request

DELETE /api/v1/payment-terms/{id}

Parameters

Name

In

Type

Required

Description

id

path

integer(int64)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseVoid

Delete Or Decommission

HTTP Request

PUT /api/v1/payment-terms/remove/{id}

Parameters

Name

In

Type

Required

Description

id

path

integer(int64)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseVoid

Delete Or Decommission All

HTTP Request

PUT /api/v1/payment-terms/remove/bulk

Parameters

Name

In

Type

Required

Description

body

body

array[integer]

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseVoid

Decommission

HTTP Request

PUT /api/v1/payment-terms/decommission/{id}

Parameters

Name

In

Type

Required

Description

id

path

integer(int64)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponsePaymentTermDto

Decommission By Modification Date Before

HTTP Request

PUT /api/v1/payment-terms/decommission/modified-before/{modified_before}

Parameters

Name

In

Type

Required

Description

modified_before

path

string(date-time)

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseListPaymentTermDto

Decommission Before Now

HTTP Request

PUT /api/v1/payment-terms/decommission/modified-before-now

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseListPaymentTermDto

Decommission All

HTTP Request

PUT /api/v1/payment-terms/decommission/bulk

Parameters

Name

In

Type

Required

Description

body

body

array[integer]

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseListPaymentTermDto

Create Or Update Bulk

HTTP Request

PUT /api/v1/payment-terms/createOrUpdate/bulk

Parameters

Name

In

Type

Required

Description

body

body

PaymentTermDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseListPaymentTermDto

Create Or Update

HTTP Request

PUT /api/v1/payment-terms/createOrUpdate

Parameters

Name

In

Type

Required

Description

body

body

PaymentTermDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponsePaymentTermDto

Bulk Update

HTTP Request

PUT /api/v1/payment-terms/bulk

Parameters

Name

In

Type

Required

Description

body

body

PaymentTermDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseListPaymentTermDto

Bulk Create

HTTP Request

POST /api/v1/payment-terms/bulk

Parameters

Name

In

Type

Required

Description

body

body

PaymentTermDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseListPaymentTermDto

Bulk Delete

HTTP Request

DELETE /api/v1/payment-terms/bulk

Parameters

Name

In

Type

Required

Description

body

body

array[integer]

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponseVoid

Find All

HTTP Request

GET /api/v1/payment-terms

Parameters

Name

In

Type

Required

Description

pageable

query

Pageable

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

PagePaymentTermDto

Create

HTTP Request

POST /api/v1/payment-terms

Parameters

Name

In

Type

Required

Description

body

body

PaymentTermDto

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

ResponsePaymentTermDto

Get Metadata

HTTP Request

GET /api/v1/payment-terms/meta

Responses

Status

Meaning

Description

Schema

200

OK

OK

Inline

Response Schema

Find All By System Id

HTTP Request

GET /api/v1/payment-terms/erp-system/{systemId}

Parameters

Name

In

Type

Required

Description

systemId

path

integer(int64)

true

none

pageable

query

Pageable

true

none

Responses

Status

Meaning

Description

Schema

200

OK

OK

PagePaymentTermDto